- Qt 6.10
- Qt GUI
- C++ Classes
- Tab
- Qt 6.10.2 Reference Documentation

# QTextOption::Tab Struct

struct QTextOption::Tab

- List of all members, including inherited members

## Public Functions

| Tab()
| Tab(qreal pos, QTextOption::TabType tabType, QChar delim = QChar())
bool | operator!=(const QTextOption::Tab &other) const
bool | operator==(const QTextOption::Tab &other) const

## Public Variables

QChar | delimiter
qreal | position
QTextOption::TabType | type

## Detailed Description

Each tab definition is represented by this struct.

## Member Function Documentation

### Tab::Tab()

Creates a default left tab with position 80.

### Tab::Tab(qreal pos, QTextOption::TabType tabType, QChar delim = QChar())

Creates a tab with the given position, tab type, and delimiter (pos, tabType, delim).

Note: delim is only used when tabType is DelimiterTab.

### bool Tab::operator!=(const QTextOption::Tab &other) const

Returns `true` if tab other is not equal to this tab; otherwise returns `false`.

### bool Tab::operator==(const QTextOption::Tab &other) const

Returns `true` if tab other is equal to this tab; otherwise returns `false`.

## Member Variable Documentation

### QChar Tab::delimiter

If type is DelimitorTab; tab until this char is found in the text.

### qreal Tab::position

Distance from the start of the paragraph. The position of a tab is from the start of the paragraph which implies that when the alignment of the paragraph is set to centered, the tab is interpreted to be moved the same distance as the left edge of the paragraph does. In case the paragraph is set to have a layoutDirection() RightToLeft the position is interpreted to be from the right side of the paragraph with higher numbers moving the tab to the left.

### QTextOption::TabType Tab::type

Determine which type is used. In a paragraph that has layoutDirection() RightToLeft the type LeftTab will be interpreted to be a RightTab and vice versa.